/**
 * Copyright 2012 Lennart Koopmann <lennart@socketfeed.com>
 *
 * This file is part of Graylog2.
 *
 * Graylog2 is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Graylog2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Graylog2.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package org.graylog2.initializers;

import java.util.HashSet;
import java.util.Set;

/**
 * @author Lennart Koopmann <lennart@socketfeed.com>
 */
public class StandardInitializerSet {

    public static Set<Class> get() {
        return new HashSet<Class>() {{ 
            add(AMQPSyncInitializer.class);
            add(AlarmScannerInitializer.class);
            add(AnonymousInformationCollectorInitializer.class);
            add(BufferWatermarkInitializer.class);
            add(DeflectorThreadsInitializer.class);
            add(DroolsInitializer.class);
            add(GraphiteInitializer.class);
            add(HostCounterCacheWriterInitializer.class);
            add(IndexRetentionInitializer.class);
            add(LibratoMetricsInitializer.class);
            add(MessageCounterInitializer.class);
            add(ServerValueWriterInitializer.class);
            add(StatisticsPrinterInitializer.class);
        }};
    }
    
}
